#
# (c) 2010-2019, SWD Embedded Systems Limited, http://www.kpda.ru
#

ifndef QCONFIG
QCONFIG=qconfig.mk
endif
include $(QCONFIG)

LIB_VARIANT = $(patsubst dll.,dll,$(subst $(space),.,so $(filter wcc be le,$(VARIANTS))))

EXTRA_CCDEPS = $(wildcard $(PROJECT_ROOT)/*.h $(PRODUCT_ROOT)/hiddi/internals.h )

LDFLAGS += -M

ifeq ($filter usb, $(VARIANTS),,)
NAME=devh
else
EXTRA_SILENT_VARIANTS=usb example egalax touchintl microtouch bt gpiokbd
NAME=devh-$(SECTION)
endif

define PINFO
PINFO DESCRIPTION=
endef

include $(MKFILES_ROOT)/qmacros.mk

TYPE = $(firstword $(filter a o, $(VARIANTS)) o)

ifeq ($filter usb, $(VARIANTS),,)
USEFILE_o = $(SECTION_ROOT)/$(NAME)-$(SECTION).use
else
USEFILE_o = $(SECTION_ROOT)/$(NAME).use
endif

USEFILE_a = 
USEFILE   = $(USEFILE_$(TYPE))

CCFLAGS_o =
CCFLAGS_a = -g -Dmain=main_$(SECTION)
CCFLAGS   += -g $(CCFLAGS_$(TYPE))
CCFLAGS_e2k += -fkernel
CCFLAGS += $(CCFLAGS_$(CPU))

-include $(SECTION_ROOT)/override.mk

include $(MKFILES_ROOT)/qtargets.mk
-include $(SECTION_ROOT)/pinfo.mk
